随笔-101  评论-67  文章-1 

ubuntu14.04 安装Jenkins

wget -q -O - http://pkg.jenkins-ci.org/debian/jenkins-ci.org.key | sudo apt-key add - 
sudo sh -c 'echo deb http://pkg.jenkins-ci.org/debian binary/ > /etc/apt/sources.list.d/jenkins.list'
sudo apt-get update -y  
sudo apt-get install jenkins -y  

结果报错:

eading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 jenkins : Depends: default-jre-headless (>= 2:1.8) but it is not going to be installed or
                    java8-runtime-headless but it is not installable
E: Unable to correct problems, you have held broken packages.

貌似只能在jdk1.8环境下才行。

可是我的环境是jdk1.7

java version "1.7.0_80"
Java(TM) SE Runtime Environment (build 1.7.0_80-b15)
Java HotSpot(TM) 64-Bit Server VM (build 24.80-b11, mixed mode)

然后我又下载了个低版本的jenkins.war 

地址:http://mirrors.tuna.tsinghua.edu.cn/jenkins/war-stable/2.19.1/

直接部署在tomcat下面就好了

 

 

 

Jenkins插件

菜单路径:系统管理—管理Jenkins—管理插件。

安装以下插件:

1.      Maven Project Plugin

2.      Subversion Plugin

3.      Checkstyle Plugin

4.      Findbugs Plugin

5.      PMD Plugin

6.      Warnings Plugin

 

posted on 2017-07-04 15:48 熊哥club 阅读(...) 评论(...) 编辑 收藏

熊哥club Fork me on GitHub